import java.net.*;
import java.io.*;
import java.util.Date;

public class DayTime {

  InetAddress server;
  int port = 13;

  public static void main(String[] args) {

    try {
      DayTime d = new DayTime("localhost");
      System.out.println(d.getTime());
    }
    catch (IOException ex) {
      System.err.println(ex);
    }
  }

  public DayTime() throws UnknownHostException {
    this (InetAddress.getLocalHost());
  }

  public DayTime(String name) throws UnknownHostException {
    this(InetAddress.getByName(name));
  }

  public DayTime(InetAddress server) {
    this.server = server;
  }

  public String getTime() {
  //  if (server == null) return (new Date()).toString();
    try {
      Socket s = new Socket(server, port);
      InputStream is = s.getInputStream();
      InputStreamReader isr = new InputStreamReader(is);
      BufferedReader br = new BufferedReader(isr);
      StringBuffer sb = new StringBuffer();
      String theLine;
      while ((theLine = br.readLine()) != null) {
        sb.append(theLine + "\r\n");
      }
      return sb.toString();
    }
    catch (IOException ex) {
  //    return (new Date()).toString();
        return "Nie ma czasu";
    }
  }
}
